Fetch objects
POST
/v1/disks/{disk}/git/git-upload-packPOST
/v1/disks/{disk}/git/git-upload-pack
Code sample: Git
git -c "http.extraHeader=Authorization: Bearer YOUR_PROJECT_API_KEY" \ fetch 'https://api.wabe.sh/v1/disks/demo/git'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/x-git-upload-pack-request
Responses
Section titled “Responses”Git protocol response.
Media typeapplication/x-git-upload-pack-result
Unsupported operation
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Disk not found in this project.
Media typeapplication/json
object
error
required
string
message
required
string
Branch conflict
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string